Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.extensions
Interface WLService

All Superinterfaces:
  Service

Deprecated. please migrate to jws for webservices

public interface WLService
extends Service

WebLogic-specific extensions to the JAX-RPC Service APIs.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`WebServiceContext` | `context()` Deprecated. Creates or returns the WebServiceContext for this Web service.
`WebServiceContext` | `joinContext()` Deprecated. If the current thread is already associated with a context (i.e., the client is called within a WebLogic Web service implementation, such as an EJB or Java class method), the parent context is used for this service proxy.

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Method Detail

### context

    public WebServiceContext context()

  Deprecated.
  Creates or returns the WebServiceContext for this Web service.

  Returns:
    web service context

### joinContext

    public WebServiceContext joinContext()
                                  throws ContextNotFoundException

  Deprecated.
  If the current thread is already associated with a context (i.e., the client is called within a WebLogic Web service implementation, such as an EJB or Java class method), the parent context is used for this service proxy.

  Returns:
    web service context
  Throws:
    `ContextNotFoundException` - if current thread is not associated with a web service context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD